/**
 * 套房搬家頁面樣式
 *
 * @package mytheme
 */

/* recommend */
.recommend-section {
  padding-bottom: 81px;
}
.recommend-wrap {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 30px;
  text-align: center;
  color: #fff;
  font-family: Inter;
  margin: 30px auto 83px;
}
.recommend-head {
  align-self: stretch;
  height: 50px;
  border-radius: 60px;
  background: linear-gradient(180deg, #fff -25%, #53bf6f 100%);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px 48px;
  box-sizing: border-box;
}
.recommend-title {
  position: relative;
  line-height: 40px;
  font-weight: 500;
  text-shadow: 0px 2px 4px rgba(0, 0, 0, 0.25);
}
.recommend-items {
  align-self: stretch;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  align-items: flex-start;
  justify-content: center;
  gap: 48px;
}
.recommend-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
}
.recommend-head-green {
  width: 182px;
  height: 202px;
  flex-shrink: 0;
  border-radius: 124px;
  border: 2px solid #53bf6f;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px;
}

.recommend-title-green {
  color: #5a8164;
}
.recommend-text {
  position: relative;
  color: #000;
  max-width: 195px;
}

/* cost */
.cost-section {
  padding: 76px 0 42px;
  background-image: url(../../images/studio-cost-bg.webp);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  margin-bottom: 145px;
  position: relative;
}

.studio-cost-right-dec {
  position: absolute;
  right: -193px;
  top: -76px;
}

.cost-wrap {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 52px;
  text-align: center;
  font-family: Inter;
  margin: 30px auto 36px;
}
.cost-box {
  align-self: stretch;
  display: flex;
  align-items: center;
  gap: 50px;
}
.cost-head {
  width: 358px;
  border-radius: 100px;
  background-color: #fff;
  border: 2px solid #53bf6f;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
}
.cost-title {
  position: relative;
  line-height: 40px;
  font-weight: 500;
  color: #5a8164;
}
.cost-inner-wrap {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
}
.cost-inner {
  display: flex;
  align-items: center;
  gap: 43px;
}
.cost-text {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-shrink: 0;
}

.same-width {
  min-width: 83px;
}
.cost-pay {
  display: flex;
  align-items: center;
  gap: 12px;
}
.cost-icon {
  width: 24px;
  position: relative;
  max-height: 100%;
}

@media (max-width: 480px) {
  .recommend-section {
    padding-bottom: 28px;
  }
  .recommend-items {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px 34px;
  }

  .recommend-wrap {
    margin: 28px auto 24px;
    gap: 20px;
  }

  .recommend-head {
    height: 28px;
  }

  .recommend-head-green {
    width: 108px;
    height: 144px;
  }

  .recommend-box {
    gap: 9px;
    max-width: 108px;
  }

  /* cost */
  .cost-section {
    background-image: url(../../images/studio-cost-rwd-bg.webp);
    padding: 36px 0 41px;
    margin-bottom: 52px;
  }

  .cost-section::after {
    content: "";
    position: absolute;
    top: -46px;
    right: 24px;
    background-image: url(../../images/studio-cost-rwd-money.webp);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: top right;
    width: 67px;
    height: 91px;
    z-index: 0;
  }

  .cost-wrap {
    margin: 24px auto;
    gap: 32px;
  }

  .cost-box {
    flex-direction: column;
    gap: 16px;
  }

  .cost-inner-wrap {
    gap: 8px;
    flex-direction: column;
    max-width: 297px;
  }

  .cost-inner {
    flex-direction: column;
    gap: 8px;
    align-items: flex-start;
    width: 100%;
  }

  .cost-pay {
    gap: 8px;
  }

  .cost-head {
    height: 28px;
    width: 258px;
  }
}
